GNU bug report logs - #7387
23.2; Emacs port to HP-UX ia64

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>; merged with #6811; dated Fri, 12 Nov 2010 17:17:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 6811 7387. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 16 Nov 2010 14:51:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 16 09:51:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PIMsZ-0003mM-NY
	for submit <at> debbugs.gnu.org; Tue, 16 Nov 2010 09:51:27 -0500
Received: from mail1.thewrittenword.com ([69.67.212.77])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pogma@HIDDEN>) id 1PIMra-0003kt-QB
	for 7387 <at> debbugs.gnu.org; Tue, 16 Nov 2010 09:50:27 -0500
Received: from mail1.il.thewrittenword.com
	(emma-internal-gw.il.thewrittenword.com [192.168.13.25])
	by mail1.thewrittenword.com (Postfix) with ESMTP id 861BB5CB8;
	Tue, 16 Nov 2010 15:15:23 +0000 (UTC)
Received: from tw.local (unknown [192.168.1.254])
	by mail1.il.thewrittenword.com (Postfix) with ESMTP id 31FA5C37;
	Tue, 16 Nov 2010 14:55:26 +0000 (UTC)
Received: from tw.local (tw.local [127.0.0.1])
	by tw.local (8.14.4/8.14.4) with ESMTP id oAGEtPAG005287;
	Tue, 16 Nov 2010 08:55:25 -0600
Received: (from pogma@localhost)
	by tw.local (8.14.4/8.14.4/Submit) id oAGEtOgc005285;
	Tue, 16 Nov 2010 08:55:24 -0600
X-Authentication-Warning: tw.local: pogma set sender to
	pogma@HIDDEN using -f
Date: Tue, 16 Nov 2010 08:55:24 -0600
From: "Peter O'Gorman" <pogma@HIDDEN>
To: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64
Message-ID: <20101116145524.GD6470@HIDDEN>
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
	<yxqmxpdydya.fsf@HIDDEN>
	<A6A1CC87D715C143988ED94326B583D3041639E5@HIDDEN>
	<rsy68ubb23.fsf@HIDDEN>
	<A6A1CC87D715C143988ED94326B583D3041A7636@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <A6A1CC87D715C143988ED94326B583D3041A7636@HIDDEN>
User-Agent: Mutt/1.5.20 (2009-12-10)
X-Virus-Scanned: clamav-milter 0.96.3 at maetel.il.thewrittenword.com
X-Virus-Status: Clean
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 7387
X-Mailman-Approved-At: Tue, 16 Nov 2010 09:51:27 -0500
Cc: Glenn Morris <rgm@HIDDEN>, 7387 <at> debbugs.gnu.org,
	Dan Nicolaescu <dann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Tue, Nov 16, 2010 at 12:03:17PM +0100, Maguire, Andrew (GE Energy) wrote:
> Thanks, I did find Peter's patch via a search and was already using
> that.
> However, this patch sets CANNOT_DUMP=1 on the ia64 system.
> Although this allowed me to be start up Emacs, its initialisation had a
> flaw whereby image-load-path was void
> when it should have been defined, I did not spend any time investigating
> why.
> 
> So, I am trying to get a dumped Emacs working on ia64.

That would be great!

> 
> Peter, can I ask which C compiler are you using on your IA64 system?
> I am using gcc 4.3.3.

Looking at our build recipie and its comments:
CC=cc (cc: HP C/aC++ B3910B A.06.25.01)
CFLAGS="-z +O1 -Wp,-H,200000" (-H 20000 to avoid macro too large error in
dbusbind.c)
CPP=/usr/ccs/lbin/cpp (because cc -E doesn't create a working Makefile).

As I mentioned to Dan in an email yesterday, it may be worth looking at 
what the hpux porting folks did:
http://hpux.connect.org.uk/hppd/cgi-bin/wwwtar?/hpux/Editors/emacs-22.3/emacs-22.3-src-11.11.tar.gz+emacs-22.3/HPUX.Install+text

Hope this helps,
Peter
-- 
Peter O'Gorman
pogma@HIDDEN




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 16 Nov 2010 10:58:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 16 05:58:48 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PIJFQ-0001Td-H5
	for submit <at> debbugs.gnu.org; Tue, 16 Nov 2010 05:58:48 -0500
Received: from exprod5og114.obsmtp.com ([64.18.0.28])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PIJFN-0001TY-Sl
	for 7387 <at> debbugs.gnu.org; Tue, 16 Nov 2010 05:58:46 -0500
Received: from source ([12.71.149.1]) (using TLSv1) by
	exprod5ob114.postini.com ([64.18.4.12]) with SMTP
	ID DSNKTOJlDw9Yb/bxsUD/6lHL1Ek8ozBisKE4@HIDDEN;
	Tue, 16 Nov 2010 03:03:50 PST
Received: from unknown (HELO alpmlef06.e2k.ad.ge.com) ([3.159.18.15])
	by Cinmlip05.e2k.ad.ge.com with ESMTP; 16 Nov 2010 06:03:43 -0500
Received: from BUDMLVEM09.e2k.ad.ge.com ([3.159.52.69]) by
	alpmlef06.e2k.ad.ge.com with Microsoft SMTPSVC(6.0.3790.4675); 
	Tue, 16 Nov 2010 06:03:42 -0500
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable
Subject: RE: bug#7387: 23.2; Emacs port to HP-UX ia64
Date: Tue, 16 Nov 2010 12:03:17 +0100
Message-ID: <A6A1CC87D715C143988ED94326B583D3041A7636@HIDDEN>
In-Reply-To: <rsy68ubb23.fsf@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: bug#7387: 23.2; Emacs port to HP-UX ia64
Thread-Index: AcuFAYACZ5WmFL9sTbafnmnntz2JmAAeys0g
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN><yxqmxpdydya.fsf@HIDDEN><A6A1CC87D715C143988ED94326B583D3041639E5@HIDDEN>
	<rsy68ubb23.fsf@HIDDEN>
From: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>
To: "Glenn Morris" <rgm@HIDDEN>,
	<pogma@HIDDEN>
X-OriginalArrivalTime: 16 Nov 2010 11:03:42.0487 (UTC)
	FILETIME=[EE418A70:01CB857D]
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 7387
Cc: Dan Nicolaescu <dann@HIDDEN>, 7387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Thanks, I did find Peter's patch via a search and was already using
that.
However, this patch sets CANNOT_DUMP=3D1 on the ia64 system.
Although this allowed me to be start up Emacs, its initialisation had a
flaw whereby image-load-path was void
when it should have been defined, I did not spend any time investigating
why.

So, I am trying to get a dumped Emacs working on ia64.

Peter, can I ask which C compiler are you using on your IA64 system?
I am using gcc 4.3.3.

-----Original Message-----
From: Glenn Morris [mailto:rgm@HIDDEN]=20
Sent: 15 November 2010 20:13
To: Maguire, Andrew (GE Energy)
Cc: Dan Nicolaescu; 7387 <at> debbugs.gnu.org
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64


There might be something relevant in here:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D6811

"Attached is a patch that allows us to build emacs-23.2 on our HP-UX
systems (10.20, 11.00 and 11.11 PA-RISC and 11.23, 11.31 both PA and
IA64)."




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 15 Nov 2010 22:18:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 15 17:18:31 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PI7Nf-0004Jd-6G
	for submit <at> debbugs.gnu.org; Mon, 15 Nov 2010 17:18:31 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PI7Ne-0004JS-A6
	for 7387 <at> debbugs.gnu.org; Mon, 15 Nov 2010 17:18:30 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArQHABdC4UxFpY76/2dsb2JhbAChXX1ywQqFSgSEWo1f
X-IronPort-AV: E=Sophos;i="4.59,202,1288584000"; d="scan'208";a="82628058"
Received: from 69-165-142-250.dsl.teksavvy.com (HELO ceviche.home)
	([69.165.142.250])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	15 Nov 2010 17:23:26 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id 488216638A; Fri, 12 Nov 2010 16:28:16 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Maguire\, Andrew \(GE Energy\)" <andrew.maguire@HIDDEN>
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64
Message-ID: <jwv4obml010.fsf-monnier+emacs@HIDDEN>
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
Date: Fri, 12 Nov 2010 16:28:16 -0500
In-Reply-To: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
	(Andrew Maguire's message of "Fri, 12 Nov 2010 18:07:17 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 7387
Cc: 7387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> I have been attempting a port to Itanium HP-UX 11.23.

The configuration files for different OSes and hardware have been
changed significantly (tho not completely) in the trunk (to become
Emacs-24), so you may want to work directly in that version instead
(otherwise someone may additionally have to figure out how to port the
patch you come up with for Emacs-23)

> I have managed to change the configure etc. to successfully produce a
> seemingly
> valid bootstrap-emacs executable.
> However, when it runs it immediately returns the error:

> 	emacs: Invalid function: run-hooks

Placing a breakpoint on Fsignal may help you figure out what's going on.
[ Oh, I saw later that GDB is not functional for you.  Hmm... ]

> This at a guess implies it is running the low level C functions but
> appears to be
> failing to find the Lisp function binding.

Everything's possible, but run-hooks is a C function, not a Lisp
function; and some C code runs Frun_hooks via an indirection through the
"run-hooks" symbol itself found via the Vrun_hooks C-only variable.
So it's quite possible (my gut says "likely") that it's still a C-level
problem.

IOW I think the issue is that for some reason Vrun_hooks was set to the
"run-hooks" symbol before the Frun_hooks function was defined (via the
defsubr call in syms_of_eval).  As it turns out Vrun_hooks is also set
in syms_of_eval.

So that would imply that the above error would happen some time between
the
    Vrun_hooks = intern_c_string ("run-hooks");
and
    defsubr (&Srun_hooks);

in syms_of_eval.  Nothing there jumps at me as a likely culprit, so
maybe the issue is that Vrun_hooks gets set elsewhere, or that
DEFUN+defsubr don't actually do their job as expected.  E.g. maybe the
data section that holds the Lisp_Subr structures gets wiped by the dump?

> I noticed that XEmacs has a portable dump feature, which essentially
> avoids rewriting an executable file but instead stores the Lisp data
> to an xemacs.dmp file next to the executable.

Yes, quite handy, isn't it?

> I managed to build XEmacs 21.4.22 using it on the machine, but I want
> FSF Emacs!

Of course, don't we all?


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 15 Nov 2010 20:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 15 15:08:04 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PI5LP-0002fN-D1
	for submit <at> debbugs.gnu.org; Mon, 15 Nov 2010 15:08:04 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PI5LJ-0002f1-TY
	for 7387 <at> debbugs.gnu.org; Mon, 15 Nov 2010 15:08:01 -0500
Received: from localhost ([127.0.0.1]:37290)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1PI5Q4-0003NB-Nv; Mon, 15 Nov 2010 15:12:52 -0500
To: "Maguire\, Andrew \(GE Energy\)" <andrew.maguire@HIDDEN>
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
	<yxqmxpdydya.fsf@HIDDEN>
	<A6A1CC87D715C143988ED94326B583D3041639E5@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: militia Axis of Evil Saddam Hussein advisors Commecen ICE
X-Ran: LCOe|1q?1!Nrk~K={~22Z_wwfL8=zV:?Sc%r8-Q9|N&9(GbX&y2hAZy-Y-G_5om-e|uC[+
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 15 Nov 2010 15:12:52 -0500
In-Reply-To: <A6A1CC87D715C143988ED94326B583D3041639E5@HIDDEN>
	(Andrew Maguire's message of "Mon\, 15 Nov 2010 14\:29\:39 +0100")
Message-ID: <rsy68ubb23.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: 7387
Cc: Dan Nicolaescu <dann@HIDDEN>, 7387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)


There might be something relevant in here:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6811

"Attached is a patch that allows us to build emacs-23.2 on our HP-UX
systems (10.20, 11.00 and 11.11 PA-RISC and 11.23, 11.31 both PA and
IA64)."




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 15 Nov 2010 13:25:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 15 08:25:57 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PHz4G-00081W-7q
	for submit <at> debbugs.gnu.org; Mon, 15 Nov 2010 08:25:57 -0500
Received: from exprod5og108.obsmtp.com ([64.18.0.186])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PHz4A-00081R-Jb
	for 7387 <at> debbugs.gnu.org; Mon, 15 Nov 2010 08:25:54 -0500
Received: from source ([4.79.213.129]) (using TLSv1) by
	exprod5ob108.postini.com ([64.18.4.12]) with SMTP
	ID DSNKTOE2Bn7Sky/OKJzez3UbtiAXxC4OXHCW@HIDDEN;
	Mon, 15 Nov 2010 05:30:52 PST
Received: from unknown (HELO cinmlef07.e2k.ad.ge.com) ([3.159.213.38])
	by Alpmlip08.e2k.ad.ge.com with ESMTP; 15 Nov 2010 08:30:45 -0500
Received: from BUDMLVEM09.e2k.ad.ge.com ([3.159.52.69]) by
	cinmlef07.e2k.ad.ge.com with Microsoft SMTPSVC(6.0.3790.4675); 
	Mon, 15 Nov 2010 08:30:45 -0500
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable
Subject: RE: bug#7387: 23.2; Emacs port to HP-UX ia64
Date: Mon, 15 Nov 2010 14:29:39 +0100
Message-ID: <A6A1CC87D715C143988ED94326B583D3041639E5@HIDDEN>
In-Reply-To: <yxqmxpdydya.fsf@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: bug#7387: 23.2; Emacs port to HP-UX ia64
Thread-Index: AcuC9e0/TbpQv5W/QhmI1+kYKfsEEwB0IsLw
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
	<yxqmxpdydya.fsf@HIDDEN>
From: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>
To: "Dan Nicolaescu" <dann@HIDDEN>
X-OriginalArrivalTime: 15 Nov 2010 13:30:45.0144 (UTC)
	FILETIME=[4E8E6980:01CB84C9]
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 7387
Cc: 7387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Yes I am using unexelf.c

I agree that changing the compiler should not be important, although it
is in the bit of code that atempts to rewrite an ELF binary!!!

I am attempting to down the dev code. Will take a while as I have to
learn to use Bazaar.
I am downloading emacs-23.2 directory by mistake, but will let that
finish and download the latest "trunk".
I cannot spend long on this unfortunately, but will see what I can
report back.

I downloaded the source of the HP managed port which appeared to also
have an Itanium binary for 22.3 from
	http://hpux.connect.org.uk/hppd/hpux/Editors/emacs-22.3/
I then compared that with the source tree from GNU.
There were a few changes but the configure program had been modified
with=20
an "if HP-UX" block of code right near the start of the script. As I
said,
it looked a bit of a hack.=20
Upshot was I managed to get as far as I described below after
integrating the few changes the above appeared to have.

I also did a google search and found an patch for HPUX and 23.2 by Peter
O'Gorman.
I have applied that.

Will get back if I get anywhere.
Thanks
Andrew
=09
-----Original Message-----
From: Dan Nicolaescu [mailto:dann@HIDDEN]=20
Sent: 13 November 2010 05:45
To: Maguire, Andrew (GE Energy)
Cc: 7387 <at> debbugs.gnu.org
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64

"Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN> writes:

> I have been attempting a port to Itanium HP-UX 11.23.
> I have managed to change the configure etc. to successfully produce a
> seemingly
> valid bootstrap-emacs executable.
> However, when it runs it immediately returns the error:
>
> 	emacs: Invalid function: run-hooks
>
> This at a guess implies it is running the low level C functions but
> appears to be
> failing to find the Lisp function binding.
> If anyone has any clues as to what could be wrong or things to try=20
> or where to look in the initialisation sequence please let me know.
> The gdb environment on the machine unfortunately does not appear
usable
> at present, returning the unhelpful error:
> 	Error trying to get information from the dynamic linker.

Did you use unexelf.c for dumping? =20

> I am also using gcc 4.3.3. I know that there is a port done by HP for
> ia64 for version 22.3
> but its configure program appeared to have been hacked to use HP's cc
> compiler not gcc.

What kind of hacks?  Changing the compiler should not be very important.

Can you please try the trunk?  There have been some fixes for HPUX
specific problems.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 13 Nov 2010 05:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 00:40:14 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PH8qU-0003sP-7d
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2010 00:40:14 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1PH8qS-0003sK-BT
	for 7387 <at> debbugs.gnu.org; Sat, 13 Nov 2010 00:40:12 -0500
Received: from dann by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <dann@HIDDEN>)
	id 1PH8v7-0004uJ-D8; Sat, 13 Nov 2010 00:45:01 -0500
To: "Maguire\, Andrew \(GE Energy\)" <andrew.maguire@HIDDEN>
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Sat, 13 Nov 2010 00:45:01 -0500
In-Reply-To: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
	(Andrew Maguire's message of "Fri\, 12 Nov 2010 18\:07\:17 +0100")
Message-ID: <yxqmxpdydya.fsf@HIDDEN>
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 7387
Cc: 7387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

"Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN> writes:

> I have been attempting a port to Itanium HP-UX 11.23.
> I have managed to change the configure etc. to successfully produce a
> seemingly
> valid bootstrap-emacs executable.
> However, when it runs it immediately returns the error:
>
> 	emacs: Invalid function: run-hooks
>
> This at a guess implies it is running the low level C functions but
> appears to be
> failing to find the Lisp function binding.
> If anyone has any clues as to what could be wrong or things to try 
> or where to look in the initialisation sequence please let me know.
> The gdb environment on the machine unfortunately does not appear usable
> at present, returning the unhelpful error:
> 	Error trying to get information from the dynamic linker.

Did you use unexelf.c for dumping?  

> I am also using gcc 4.3.3. I know that there is a port done by HP for
> ia64 for version 22.3
> but its configure program appeared to have been hacked to use HP's cc
> compiler not gcc.

What kind of hacks?  Changing the compiler should not be very important.

Can you please try the trunk?  There have been some fixes for HPUX
specific problems.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at 7387 <at> debbugs.gnu.org:


Received: (at 7387) by debbugs.gnu.org; 12 Nov 2010 19:06:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 12 14:06:48 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGyxU-0008As-KO
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 14:06:48 -0500
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1PGyxS-0008Al-4v
	for 7387 <at> debbugs.gnu.org; Fri, 12 Nov 2010 14:06:46 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0LBS00L00D6XDX00@HIDDEN> for
	7387 <at> debbugs.gnu.org; Fri, 12 Nov 2010 21:11:34 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.249.126]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LBS00KSCDB8XMA0@HIDDEN>;
	Fri, 12 Nov 2010 21:11:34 +0200 (IST)
Date: Fri, 12 Nov 2010 21:11:38 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#7387: 23.2; Emacs port to HP-UX ia64
In-reply-to: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>
Message-id: <83fwv6e4r9.fsf@HIDDEN>
References: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 7387
Cc: 7387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Date: Fri, 12 Nov 2010 18:07:17 +0100
> From: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>
> Cc: 
> 
> If I instead set CANNOT_DUMP 1, then I can get an undumped version
> that opens an X Window, but it suffers from initialisation issues,
> e.g. image-load-path is void at start up which is obviously wrong.

Does it work, with CANNOT_DUMP set, to invoke Emacs like this:

  emacs -l loadup

?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Nov 2010 17:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 12 12:16:29 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGxEi-0007Nn-Cd
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 12:16:29 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PGxEf-0007Ni-Ng
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 12:16:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PGxJH-000881-Hv
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 12:21:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:58113)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PGxJH-00087j-Ci
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 12:21:11 -0500
Received: from [140.186.70.92] (port=55839 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PGxJD-0006K3-0c
	for bug-gnu-emacs@HIDDEN; Fri, 12 Nov 2010 12:21:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PGx6r-0005Rf-3O
	for bug-gnu-emacs@HIDDEN; Fri, 12 Nov 2010 12:08:26 -0500
Received: from exprod5og111.obsmtp.com ([64.18.0.22]:56959)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andrew.maguire@HIDDEN>) id 1PGx6q-0005RM-S4
	for bug-gnu-emacs@HIDDEN; Fri, 12 Nov 2010 12:08:21 -0500
Received: from source ([4.78.218.129]) (using TLSv1) by
	exprod5ob111.postini.com ([64.18.4.12]) with SMTP
	ID DSNKTN10gYd4HvEn4mPIUK4olGRVoD3NEj1E@HIDDEN;
	Fri, 12 Nov 2010 09:08:20 PST
Received: from unknown (HELO cinmlef07.e2k.ad.ge.com) ([3.159.213.38])
	by Cinmlip08.e2k.ad.ge.com with ESMTP; 12 Nov 2010 12:08:11 -0500
Received: from BUDMLVEM09.e2k.ad.ge.com ([3.159.52.69]) by
	cinmlef07.e2k.ad.ge.com with Microsoft SMTPSVC(6.0.3790.4675); 
	Fri, 12 Nov 2010 12:08:11 -0500
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable
Subject: 23.2; Emacs port to HP-UX ia64
Date: Fri, 12 Nov 2010 18:07:17 +0100
Message-ID: <A6A1CC87D715C143988ED94326B583D30410137C@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: 23.2; Emacs port to HP-UX ia64
Thread-Index: AcuCjA8nEje6XfgRTU+bMKkKHKRYcA==
From: "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
X-OriginalArrivalTime: 12 Nov 2010 17:08:11.0290 (UTC)
	FILETIME=[2F6D0FA0:01CB828C]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

I have been attempting a port to Itanium HP-UX 11.23.
I have managed to change the configure etc. to successfully produce a
seemingly
valid bootstrap-emacs executable.
However, when it runs it immediately returns the error:

	emacs: Invalid function: run-hooks

This at a guess implies it is running the low level C functions but
appears to be
failing to find the Lisp function binding.
If anyone has any clues as to what could be wrong or things to try=20
or where to look in the initialisation sequence please let me know.
The gdb environment on the machine unfortunately does not appear usable
at present, returning the unhelpful error:
	Error trying to get information from the dynamic linker.

I am also using gcc 4.3.3. I know that there is a port done by HP for
ia64 for version 22.3
but its configure program appeared to have been hacked to use HP's cc
compiler not gcc.

If I instead set CANNOT_DUMP 1, then I can get an undumped version that
opens an X Window,
but it suffers from initialisation issues, e.g. image-load-path is void
at start up
which is obviously wrong.

I noticed that XEmacs has a portable dump feature, which essentially
avoids rewriting
an executable file but instead stores the Lisp data to an xemacs.dmp
file next to the
executable. I managed to build xemacs 21.4.22 using it on the machine,
but I want FSF Emacs!

Thanks for any help,
Andrew Maguire


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
u:/sw/WNT/x86/emacs/emacs-23.2/etc/DEBUG.


In GNU Emacs 23.2.1 (i386-mingw-nt5.1.2600)
 of 2010-05-08 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/xpm/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <down-mouse-1> <mouse-1> <wheel-down>=20
<wheel-up> <wheel-up> <wheel-down> <wheel-up> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <menu-bar> <help-menu> <about-emacs> <wheel-down>=20
<wheel-up> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu>=20
<send-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
byte-code: Beginning of buffer
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml easymenu mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win w32-vars
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mldrag mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)




Acknowledgement sent to "Maguire, Andrew (GE Energy)" <andrew.maguire@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7387; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.